Memory Stores
Update a memory store
Updates the specified memory store with the supplied configuration changes.
헤더 매개 변수
Foundry-Features
enum
필수
A feature flag opt-in required when using preview operations or modifying persisted preview resources.
경로 매개 변수
name
string
필수
The name of the memory store to update.
쿼리 매개 변수
api-version
string
필수
The API version to use for this operation.
요청 본문
description
string
A human-readable description of the memory store.
metadata
object
Arbitrary key-value metadata to associate with the memory store.
응답
The request has succeeded.
본문
object
enum
필수
The object type, which is always 'memory_store'.
id
string
필수
The unique identifier of the memory store.
name
string
필수
The name of the memory store.
description
string
A human-readable description of the memory store.
metadata
object
Arbitrary key-value metadata to associate with the memory store.
definition
default
필수
Base definition for memory store configurations.
default
MemoryStoreDefaultDefinition
Default memory store implementation.
kind
enum
필수
The kind of the memory store.
chat_model
string
필수
The name or identifier of the chat completion model deployment used for memory processing.
embedding_model
string
필수
The name or identifier of the embedding model deployment used for memory processing.
options
MemoryStoreDefaultOptions
Default memory store configurations.
user_profile_enabled
boolean
필수
Whether to enable user profile extraction and storage. Default is true.
user_profile_details
string
Specific categories or types of user profile information to extract and store.
chat_summary_enabled
boolean
필수
Whether to enable chat summary extraction and storage. Defaults to true.
procedural_memory_enabled
boolean
Whether to enable procedural memory extraction and storage. The service defaults to true if a value is not specified by the caller.
default_ttl_seconds
integer
The default time-to-live for memories in seconds. A value of 0 indicates that memories do not expire. Defaults to 0.
요청
POST /memory_stores/{name} HTTP/1.1
응답
Status: 200
Content-Type: application/json
Status: 4XX
Content-Type: application/json
Status: 5XX
Content-Type: application/json